#procedure identifyintegrals()

* This file is part of aITALC
* Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
*------------------------------------------------------------- 
** Should pick up the different loop integrals and provide
** a set of $-variables with the right substitutions
** It inserts therefore the function LoopIntegral= LI()


b A0,B0,B1,B00,B11,C0i,D0i,A0w,B0w,C0w,D0w,E0i,E0w;
*print +s;
.sort
keep brackets;

#do fun={A0,B0,B1,B00,B11}
if (match(`fun'(?a$argument)));
$numberfunctions=$numberfunctions+1;
Print "      LI(%$)=`fun'(%$)", $numberfunctions,$argument;
id `fun'(?a)= LI($numberfunctions);
endif;
#enddo

#do fun={C0i,A0w,B0w,C0w}
if (match(`fun'(a0?$function,?a$argument)));
$numberfunctions=$numberfunctions+1;
Print "      LI(%$)=`fun'(%$,%$)",$numberfunctions,$function,$argument;
id `fun'(?a)= LI($numberfunctions);
endif;
#enddo

* Next is because the +-{s,f} options don't work in these printings, so I cut the big functions
#do fun={D0i,D0w}
if (match(`fun'(a0?$function,a1?$a1,a2?$a2,a3?$a3,a4?$a4,a5?$a5,a6?$a6,?a$restargument)));
$numberfunctions=$numberfunctions+1;
Print "      LI(%$)=`fun'(%$,%$,%$,%$,%$,%$,%$,",$numberfunctions,$function,$a1,$a2,$a3,$a4,$a5,$a6;
Print "     +       %$)",$restargument;
id `fun'(?a)= LI($numberfunctions);
endif;
#enddo


#do fun={E0i,E0w}
if (match(`fun'(a0?$function,a1?$a1,a2?$a2,a3?$a3,a4?$a4,a5?$a5,a6?$a6,a7?$a7,a8?$a8,a9?$a9,a10?$a10,?a$restargument)));
$numberfunctions=$numberfunctions+1;
Print "      LI(%$)=`fun'(%$,%$,%$,%$,%$,%$,",$numberfunctions,$function,$a1,$a2,$a3,$a4,$a5;
Print "     +       %$,%$,%$,%$,%$,",$a6,$a7,$a8,$a9,$a10;
Print "     +       %$)",$restargument;
id `fun'(?a)= LI($numberfunctions);
endif;
#enddo



.sort

L NoLI=`$numberfunctions';

id dummy(a0?)=a0;


#endprocedure
*$Id: identifyintegrals.prc,v 1.8 2004/10/29 13:07:26 alorca Exp $
