#procedure pslashaway()

* This file is part of aITALC
* Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
*------------------------------------------------------------- 
** Procedure to put away the non-desired gamma(p)
** Begun on 27/08/03


** We throw away those terms that won't contribute either to Dirac or
** form factors,

** They are just the partners of the `Pch1' and `Pch2' called in diana PAWAY{S1}

#do ic=1,`EXTFERMICURRENTS'
  #redefine paway{`ic'} "`PAWAY`FERMIONCHANNEL'{`ic'}'"
  id gamma(`ic',`paway{`ic'}')= - gamma(`ic',`absep1'`absep2'`absep3'`absep4') + gamma(`ic',`paway{`ic'}');
#enddo


** linearizing again and extracting scalar product
id gamma(line?,mu0?)=gamma(line,mu0);

#endprocedure

*$Id: pslashaway.prc,v 1.3 2004/10/08 14:28:12 alorca Exp $
